Bug 995537 - RFE: /etc/motd emitter for yum-cron
Summary: RFE: /etc/motd emitter for yum-cron
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: dnf   
(Show other bugs)
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: kushaldas@gmail.com
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-08-09 16:25 UTC by Matthew Miller
Modified: 2014-12-13 09:53 UTC (History)
13 users (show)

Fixed In Version: dnf-0.6.3-2.fc21
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-12-13 09:53:30 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Matthew Miller 2013-08-09 16:25:48 UTC
Several other major cloud guest images use motd to show that security updates are available on login. We'd like to do the same, and yum-cron seems like the sensible place to put this.

Comment 1 Zdeněk Pavlas 2013-08-12 11:10:37 UTC
Sounds reasonable. How'd you want to enable this?  "emit_via = motd"? (we already support multiple emitters) There should probably be some /etc/motd.template we put a formatted transaction info into.. Could you be more specific how this should work?

Comment 2 Matthew Miller 2013-10-15 00:20:12 UTC
(In reply to Zdeněk Pavlas from comment #1)
> Sounds reasonable. How'd you want to enable this?  "emit_via = motd"? (we
> already support multiple emitters) There should probably be some
> /etc/motd.template we put a formatted transaction info into.. Could you be
> more specific how this should work?

"emit_via = motd" makes sense, as does a template. Other Linux distros have a complicated motd templating system in place already. In the absence of a generalized template system, I think this should probably use a template that just belongs to yum-cron.

Comment 3 Ales Kozumplik 2014-08-12 10:17:39 UTC
Taking this over to DNF as the Yum implementation is not planned.

Comment 4 Alan Pevec 2014-09-24 21:38:19 UTC
> Taking this over to DNF as the Yum implementation is not planned.

What is dnf equivalent of yum-cron?

Comment 5 Tim Lauridsen 2014-09-25 07:13:48 UTC
(In reply to Alan Pevec from comment #4)
> > Taking this over to DNF as the Yum implementation is not planned.
> 
> What is dnf equivalent of yum-cron?

http://dnf.readthedocs.org/en/latest/automatic.html

Comment 6 Ales Kozumplik 2014-09-29 06:06:28 UTC
Explained by comment 5, thank you Tim.

Comment 7 kushaldas@gmail.com 2014-10-17 10:35:00 UTC
I added the initial support for a motd emitter in dnf-automatic. The PR request can be found at [1].


[1] https://github.com/rpm-software-management/dnf/pull/174

Comment 8 Fedora Update System 2014-12-09 14:06:24 UTC
dnf-0.6.3-2.fc21,dnf-plugins-core-0.1.4-1.fc21,hawkey-0.5.2-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/dnf-0.6.3-2.fc21,dnf-plugins-core-0.1.4-1.fc21,hawkey-0.5.2-1.fc21

Comment 9 Fedora Update System 2014-12-12 04:32:29 UTC
Package dnf-0.6.3-2.fc21, hawkey-0.5.2-1.fc21, dnf-plugins-core-0.1.4-1.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing dnf-0.6.3-2.fc21 hawkey-0.5.2-1.fc21 dnf-plugins-core-0.1.4-1.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-16760/dnf-0.6.3-2.fc21,dnf-plugins-core-0.1.4-1.fc21,hawkey-0.5.2-1.fc21
then log in and leave karma (feedback).

Comment 10 Fedora Update System 2014-12-13 09:53:30 UTC
dnf-0.6.3-2.fc21, hawkey-0.5.2-1.fc21, dnf-plugins-core-0.1.4-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.